/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
 # $Header:pipe.c 12.0$
 # $ACIS:pipe.c 12.0$
 # $Source: /ibm/acis/usr/src/lib/libc/ca/sys/RCS/pipe.c,v $
#include "SYS.h"
SYSCODE(pipe)
	mr	r5,r2
	SVC(pipe)
	btb	syserror
	sts	r2,0(r5)	/* fildes[0] = primary result	*/
	lis	r2,0
	brx	r15
	sts	r0,4(r5)	/* fildes[1] = secondary result */

syserror:
	get	r5,$_errno
	sts	r2,0(r5)	#update error number
	get	r2,$-1
	br	r15		#return to caller
	TTNOFRM
